#!/usr/bin/env perl

# readCollections.pl
# iChat pictures manager

use strict;
my $undef = shift @ARGV;
my $theFolder = shift @ARGV;

-d $theFolder or print "$undef\n" and exit;

my ($riga);

if (-r $theFolder.'currentCollection') {
  local *F;
  open F,'<'.$theFolder.'currentCollection' or die "Unreadable currentCollection: $!";
  $riga = <F>;
  chomp $riga;
  close F;
  print "$riga\n";
} else {
  print "$undef\n";
}

local *D;
opendir D,$theFolder;
while ($riga = readdir(D)) {
  $riga =~ m,^\., and next;
  -d $theFolder.$riga and print "$riga\n";
}
closedir D;
